# Font variants

### Retrieve font variants for a layer of a template

This endpoint retrieves the font variants (weight and style combination) of a text layer's fonts of a specific template.

### Request

* Method: GET
* URL: `https://api.thebrief.ai/v1/templates/fontVariants`
* Body:
  * `templateHash` (string, required): The hash of the template.
  * `layerName` (string, required): The name of the layer of export.

### Response

The response is a JSON object with the following schema:

JSON

```json
{
    "response": [
        {
            "name": "Description",
            "fontFamilyType": "google",
            "slideNumber": 0,
            "bannersetElementId": 7,
            "fontFamily": "Roboto Condensed",
            "actualFontStyle": "normal",
            "actualFontWeight": 400,
            "fontVariants": [
                {
                    "weight": "300",
                    "subFamily": "Light"
                },
                {
                    "weight": "400",
                    "subFamily": "Regular"
                },
                {
                    "weight": "700",
                    "subFamily": "Bold"
                },
                {
                    "weight": "300italic",
                    "subFamily": "Light Italic"
                },
                {
                    "weight": "400italic",
                    "subFamily": "Regular Italic"
                },
                {
                    "weight": "700italic",
                    "subFamily": "Bold Italic"
                }
            ]
        }
    ]
}
```

When you use the FONTVARIANT attribute on related endpoints, as value, you will use the weight value from the response.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/templates-designs/font-variants.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
